"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTableRowStyles = void 0;
const material_1 = require("@mui/material");
const styles_1 = require("@mui/styles");
exports.useTableRowStyles = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    emptyStateContainer: {
        padding: theme.spacing(0.4, 0.5),
    },
    slimmerRow: {
        padding: theme.spacing(0.25, 1),
        maxWidth: "100px",
        overflow: "hidden",
        textOverflow: "ellipsis",
        whiteSpace: "nowrap",
    },
    clickableRow: {
        cursor: "pointer",
    },
    disabledRow: {
        userSelect: "none",
        opacity: 0.2,
        backgroundColor: theme.palette.grey[100],
    },
    collapsableCell: {
        padding: theme.spacing(0),
        borderBottom: 0,
        backgroundColor: theme.palette.background.default,
    },
    borderBottom: {
        borderBottom: `1px solid ${theme.palette.grey[300]}`,
    },
    copyTooltip: {
        backgroundColor: "transparent",
        margin: 0,
    },
    copyPopper: {
        top: "32px !important",
    },
    copyTooltipButton: {
        height: 20,
        width: 20,
    },
    highlightedRow: {
        backgroundColor: (0, material_1.alpha)(theme.palette.error.light, 0.3),
        transition: theme.transitions.create(["background-color"]),
        ".MuiTableRow-root.MuiTableRow-hover&:hover": {
            backgroundColor: (0, material_1.alpha)(theme.palette.error.light, 0.4),
        },
    },
    actionableRow: {
        backgroundColor: (0, material_1.alpha)(theme.palette.success.light, 0.3),
    },
    checkbox: {
        textAlign: "center",
    },
    displayCheckbox: {
        color: theme.palette.secondary.main,
        "&.Mui-checked.Mui-disabled": {
            color: theme.palette.secondary.main,
        },
    },
}), { index: 1 });
//# sourceMappingURL=styles.js.map