/// <reference types="react" />
/// <reference types="react" />
import { ContainerProps, LabelContainerProps, OptionProps, OptionsContainerProps, SelectedValueProps } from "./types";
export declare const Container: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, ContainerProps>>;
export declare const LabelContainer: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, LabelContainerProps>>;
export declare const Label: import("styled-components").IStyledComponent<"web", {
    ref?: import("react").LegacyRef<HTMLSpanElement> | undefined;
    key?: import("react").Key | null | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    accessKey?: string | undefined;
    autoFocus?: boolean | undefined;
    className?: string | undefined;
    contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "false" | "true") | undefined;
    hidden?: boolean | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    nonce?: string | undefined;
    placeholder?: string | undefined;
    slot?: string | undefined;
    spellCheck?: (boolean | "false" | "true") | undefined;
    style?: import("react").CSSProperties | undefined;
    tabIndex?: number | undefined;
    title?: string | undefined;
    translate?: "yes" | "no" | undefined;
    radioGroup?: string | undefined;
    role?: import("react").AriaRole | undefined;
    about?: string | undefined;
    content?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    rel?: string | undefined;
    resource?: string | undefined;
    rev?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    color?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "off" | "on" | undefined;
    inputMode?: "search" | "numeric" | "none" | "url" | "text" | "email" | "tel" | "decimal" | undefined;
    is?: string | undefined;
    'aria-activedescendant'?: string | undefined;
    'aria-atomic'?: (boolean | "false" | "true") | undefined;
    'aria-autocomplete'?: "inline" | "both" | "none" | "list" | undefined;
    'aria-braillelabel'?: string | undefined;
    'aria-brailleroledescription'?: string | undefined;
    'aria-busy'?: (boolean | "false" | "true") | undefined;
    'aria-checked'?: boolean | "false" | "mixed" | "true" | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colindextext'?: string | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | "false" | "time" | "location" | "page" | "true" | "step" | "date" | undefined;
    'aria-describedby'?: string | undefined;
    'aria-description'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: (boolean | "false" | "true") | undefined;
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: (boolean | "false" | "true") | undefined;
    'aria-flowto'?: string | undefined;
    'aria-grabbed'?: (boolean | "false" | "true") | undefined;
    'aria-haspopup'?: boolean | "false" | "grid" | "dialog" | "menu" | "listbox" | "true" | "tree" | undefined;
    'aria-hidden'?: (boolean | "false" | "true") | undefined;
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: "off" | "assertive" | "polite" | undefined;
    'aria-modal'?: (boolean | "false" | "true") | undefined;
    'aria-multiline'?: (boolean | "false" | "true") | undefined;
    'aria-multiselectable'?: (boolean | "false" | "true") | undefined;
    'aria-orientation'?: "horizontal" | "vertical" | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | "false" | "mixed" | "true" | undefined;
    'aria-readonly'?: (boolean | "false" | "true") | undefined;
    'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    'aria-required'?: (boolean | "false" | "true") | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowindextext'?: string | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: (boolean | "false" | "true") | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: "none" | "other" | "ascending" | "descending" | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCopyCapture?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCut?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCutCapture?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onPaste?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onPasteCapture?: import("react").ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCompositionEnd?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionStart?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionUpdate?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLSpanElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLSpanElement> | undefined;
    onFocusCapture?: import("react").FocusEventHandler<HTMLSpanElement> | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLSpanElement> | undefined;
    onBlurCapture?: import("react").FocusEventHandler<HTMLSpanElement> | undefined;
    onChange?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onChangeCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onBeforeInput?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onBeforeInputCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onInput?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onInputCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onReset?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onResetCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onSubmit?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onSubmitCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onInvalid?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onInvalidCapture?: import("react").FormEventHandler<HTMLSpanElement> | undefined;
    onLoad?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onError?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onErrorCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLSpanElement> | undefined;
    onAbort?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onAbortCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlay?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayThrough?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onDurationChange?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onDurationChangeCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEmptied?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEmptiedCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEncrypted?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEncryptedCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEnded?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onEndedCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedData?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedDataCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedMetadata?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadStart?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadStartCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPause?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPauseCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPlay?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPlayCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPlaying?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onPlayingCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onProgress?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onProgressCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onRateChange?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onRateChangeCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onResize?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onResizeCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSeeked?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSeekedCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSeeking?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSeekingCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onStalled?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onStalledCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSuspend?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSuspendCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onTimeUpdate?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onVolumeChange?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onWaiting?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onWaitingCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onAuxClick?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onAuxClickCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onClick?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onClickCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onContextMenu?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onContextMenuCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onDoubleClick?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onDoubleClickCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onDrag?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnd?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragEndCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnter?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnterCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragExit?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragExitCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragLeave?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragLeaveCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragOver?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragOverCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragStart?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDragStartCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDrop?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onDropCapture?: import("react").DragEventHandler<HTMLSpanElement> | undefined;
    onMouseDown?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseDownCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseEnter?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseLeave?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseMove?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseMoveCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOut?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOutCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOver?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOverCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseUp?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseUpCapture?: import("react").MouseEventHandler<HTMLSpanElement> | undefined;
    onSelect?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onSelectCapture?: import("react").ReactEventHandler<HTMLSpanElement> | undefined;
    onTouchCancel?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchCancelCapture?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchEnd?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchEndCapture?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchMove?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchMoveCapture?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchStart?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchStartCapture?: import("react").TouchEventHandler<HTMLSpanElement> | undefined;
    onPointerDown?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerDownCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerMove?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerMoveCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerUp?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerUpCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerCancel?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerCancelCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerEnter?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerEnterCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerLeave?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerLeaveCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOver?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOverCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOut?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOutCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onGotPointerCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onLostPointerCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLSpanElement> | undefined;
    onScroll?: import("react").UIEventHandler<HTMLSpanElement> | undefined;
    onScrollCapture?: import("react").UIEventHandler<HTMLSpanElement> | undefined;
    onWheel?: import("react").WheelEventHandler<HTMLSpanElement> | undefined;
    onWheelCapture?: import("react").WheelEventHandler<HTMLSpanElement> | undefined;
    onAnimationStart?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationEnd?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationIteration?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLSpanElement> | undefined;
    onTransitionEnd?: import("react").TransitionEventHandler<HTMLSpanElement> | undefined;
    onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLSpanElement> | undefined;
}>;
export declare const DropdownContainer: import("styled-components").IStyledComponent<"web", {
    ref?: import("react").LegacyRef<HTMLDivElement> | undefined;
    key?: import("react").Key | null | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    suppressHydrationWarning?: boolean | undefined;
    accessKey?: string | undefined;
    autoFocus?: boolean | undefined;
    className?: string | undefined;
    contentEditable?: "inherit" | (boolean | "false" | "true") | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "false" | "true") | undefined;
    hidden?: boolean | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    nonce?: string | undefined;
    placeholder?: string | undefined;
    slot?: string | undefined;
    spellCheck?: (boolean | "false" | "true") | undefined;
    style?: import("react").CSSProperties | undefined;
    tabIndex?: number | undefined;
    title?: string | undefined;
    translate?: "yes" | "no" | undefined;
    radioGroup?: string | undefined;
    role?: import("react").AriaRole | undefined;
    about?: string | undefined;
    content?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    rel?: string | undefined;
    resource?: string | undefined;
    rev?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    color?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "off" | "on" | undefined;
    inputMode?: "search" | "numeric" | "none" | "url" | "text" | "email" | "tel" | "decimal" | undefined;
    is?: string | undefined;
    'aria-activedescendant'?: string | undefined;
    'aria-atomic'?: (boolean | "false" | "true") | undefined;
    'aria-autocomplete'?: "inline" | "both" | "none" | "list" | undefined;
    'aria-braillelabel'?: string | undefined;
    'aria-brailleroledescription'?: string | undefined;
    'aria-busy'?: (boolean | "false" | "true") | undefined;
    'aria-checked'?: boolean | "false" | "mixed" | "true" | undefined;
    'aria-colcount'?: number | undefined;
    'aria-colindex'?: number | undefined;
    'aria-colindextext'?: string | undefined;
    'aria-colspan'?: number | undefined;
    'aria-controls'?: string | undefined;
    'aria-current'?: boolean | "false" | "time" | "location" | "page" | "true" | "step" | "date" | undefined;
    'aria-describedby'?: string | undefined;
    'aria-description'?: string | undefined;
    'aria-details'?: string | undefined;
    'aria-disabled'?: (boolean | "false" | "true") | undefined;
    'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup" | undefined;
    'aria-errormessage'?: string | undefined;
    'aria-expanded'?: (boolean | "false" | "true") | undefined;
    'aria-flowto'?: string | undefined;
    'aria-grabbed'?: (boolean | "false" | "true") | undefined;
    'aria-haspopup'?: boolean | "false" | "grid" | "dialog" | "menu" | "listbox" | "true" | "tree" | undefined;
    'aria-hidden'?: (boolean | "false" | "true") | undefined;
    'aria-invalid'?: boolean | "false" | "true" | "grammar" | "spelling" | undefined;
    'aria-keyshortcuts'?: string | undefined;
    'aria-label'?: string | undefined;
    'aria-labelledby'?: string | undefined;
    'aria-level'?: number | undefined;
    'aria-live'?: "off" | "assertive" | "polite" | undefined;
    'aria-modal'?: (boolean | "false" | "true") | undefined;
    'aria-multiline'?: (boolean | "false" | "true") | undefined;
    'aria-multiselectable'?: (boolean | "false" | "true") | undefined;
    'aria-orientation'?: "horizontal" | "vertical" | undefined;
    'aria-owns'?: string | undefined;
    'aria-placeholder'?: string | undefined;
    'aria-posinset'?: number | undefined;
    'aria-pressed'?: boolean | "false" | "mixed" | "true" | undefined;
    'aria-readonly'?: (boolean | "false" | "true") | undefined;
    'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    'aria-required'?: (boolean | "false" | "true") | undefined;
    'aria-roledescription'?: string | undefined;
    'aria-rowcount'?: number | undefined;
    'aria-rowindex'?: number | undefined;
    'aria-rowindextext'?: string | undefined;
    'aria-rowspan'?: number | undefined;
    'aria-selected'?: (boolean | "false" | "true") | undefined;
    'aria-setsize'?: number | undefined;
    'aria-sort'?: "none" | "other" | "ascending" | "descending" | undefined;
    'aria-valuemax'?: number | undefined;
    'aria-valuemin'?: number | undefined;
    'aria-valuenow'?: number | undefined;
    'aria-valuetext'?: string | undefined;
    children?: import("react").ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onCopyCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onCut?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onCutCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onPaste?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onPasteCapture?: import("react").ClipboardEventHandler<HTMLDivElement> | undefined;
    onCompositionEnd?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onCompositionEndCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onCompositionStart?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onCompositionStartCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onCompositionUpdate?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onCompositionUpdateCapture?: import("react").CompositionEventHandler<HTMLDivElement> | undefined;
    onFocus?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
    onFocusCapture?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
    onBlur?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
    onBlurCapture?: import("react").FocusEventHandler<HTMLDivElement> | undefined;
    onChange?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onChangeCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onBeforeInput?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onBeforeInputCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onInput?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onInputCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onReset?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onResetCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onSubmit?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onSubmitCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onInvalid?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onInvalidCapture?: import("react").FormEventHandler<HTMLDivElement> | undefined;
    onLoad?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onError?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onErrorCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onKeyDown?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onKeyDownCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onKeyPress?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onKeyPressCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onKeyUp?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onKeyUpCapture?: import("react").KeyboardEventHandler<HTMLDivElement> | undefined;
    onAbort?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onAbortCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onCanPlay?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onCanPlayCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onCanPlayThrough?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onCanPlayThroughCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onDurationChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onDurationChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEmptied?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEmptiedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEncrypted?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEncryptedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEnded?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onEndedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadedData?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadedDataCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadedMetadata?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadedMetadataCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadStart?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onLoadStartCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPause?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPauseCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPlay?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPlayCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPlaying?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onPlayingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onProgress?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onProgressCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onRateChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onRateChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onResize?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onResizeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSeeked?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSeekedCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSeeking?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSeekingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onStalled?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onStalledCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSuspend?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSuspendCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onTimeUpdate?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onTimeUpdateCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onVolumeChange?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onVolumeChangeCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onWaiting?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onWaitingCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onAuxClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onAuxClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onContextMenu?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onContextMenuCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onDoubleClick?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onDoubleClickCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onDrag?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragEnd?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragEndCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragEnter?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragEnterCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragExit?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragExitCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragLeave?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragLeaveCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragOver?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragOverCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragStart?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDragStartCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDrop?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onDropCapture?: import("react").DragEventHandler<HTMLDivElement> | undefined;
    onMouseDown?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseDownCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseEnter?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseLeave?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseMove?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseMoveCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseOut?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseOutCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseOver?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseOverCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseUp?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onMouseUpCapture?: import("react").MouseEventHandler<HTMLDivElement> | undefined;
    onSelect?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onSelectCapture?: import("react").ReactEventHandler<HTMLDivElement> | undefined;
    onTouchCancel?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchCancelCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchEnd?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchEndCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchMove?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchMoveCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchStart?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onTouchStartCapture?: import("react").TouchEventHandler<HTMLDivElement> | undefined;
    onPointerDown?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerDownCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerMove?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerMoveCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerUp?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerUpCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerCancel?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerCancelCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerEnter?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerEnterCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerLeave?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerLeaveCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerOver?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerOverCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerOut?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onPointerOutCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onGotPointerCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onGotPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onLostPointerCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onLostPointerCaptureCapture?: import("react").PointerEventHandler<HTMLDivElement> | undefined;
    onScroll?: import("react").UIEventHandler<HTMLDivElement> | undefined;
    onScrollCapture?: import("react").UIEventHandler<HTMLDivElement> | undefined;
    onWheel?: import("react").WheelEventHandler<HTMLDivElement> | undefined;
    onWheelCapture?: import("react").WheelEventHandler<HTMLDivElement> | undefined;
    onAnimationStart?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onAnimationStartCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onAnimationEnd?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onAnimationEndCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onAnimationIteration?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onAnimationIterationCapture?: import("react").AnimationEventHandler<HTMLDivElement> | undefined;
    onTransitionEnd?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
    onTransitionEndCapture?: import("react").TransitionEventHandler<HTMLDivElement> | undefined;
}>;
export declare const SelectedValue: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, SelectedValueProps>>;
export declare const OptionContainer: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, OptionsContainerProps>>;
export declare const Option: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, OptionProps>>;
